const { isAuth } = require('../../../middlewares');
const {
  createPaymentMethod,
  getPaymentMethods,
  updatePaymentMethod,
  deletePaymentMethod,
} = require('../../../controllers/customers/v1.1/payment-methods');

const router = require('express').Router();

router.post('/', isAuth, createPaymentMethod);

router.get('/', isAuth, getPaymentMethods);
router.put('/:id', isAuth, updatePaymentMethod);
router.delete('/:id', isAuth, deletePaymentMethod);

module.exports = router;
